swift4

Nil is not compatible with expected argument type '[Any]'

Nil is not compatible with expected argument type '[Any]'

エラーは、バージョンが異なり、構文が変更され、nilが[]に変更されたためです。
古いバージョンの言葉遣い:Snip20180101_4.png

正しい言葉遣い:Snip20180101_5.png